
/**
 * Module dependencies.
 */

var mocha = require('../');

var suite = new mocha.Suite('Array')
  , suite2 = new mocha.Suite('#indexOf()')
  , suite3 = new mocha.Suite('#.length');

var test = new mocha.Test('should return -1 when not present', function(){
});

var test2 = new mocha.Test('should return the index when present', function(){
  foo()
});

var test3 = new mocha.Test('should return the number of elements', function(done){
  setTimeout(done, Math.random() * 30);
});

var testFail = new mocha.Test('should return the number of elements', function(){
  foo();
});

// suite
//   suite2
//     test
//     test2
//   suite3
//     test3

suite2
  .addTest(test)
  .addTest(test2)
  .addTest(test2);

suite3
  .addTest(test3)
  .addTest(test3)
  .addTest(test3)

var n = 50;
while (n--) suite3.addTest(test3);
// suite3.addTest(testFail)
suite3.addTest(test2)

suite
  .addSuite(suite2)
  .addSuite(suite3);

var runner = new mocha.Runner(suite);

new mocha.reporters.XUnit(runner);

runner.run();